Bug 1414482 - unable to setup hotspot with error: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Summary: unable to setup hotspot with error: Failed to add new connection: (2) A 'wire...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 15:55 UTC by vt
Modified: 2017-12-12 10:52 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:05 UTC
Type: Bug


Attachments (Terms of Use)

Description vt 2017-01-18 15:55:55 UTC
Description of problem:

Try to setup a hotspot on Fedora 25 x86_64, 

Version-Release number of selected component (if applicable):
NetworkManager-1.4.4-3.fc25.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Go to network settings
2. Select 'Wi-Fi'
3. Click 'Use as Hotspot'
4. Click 'Turn On'

Actual results:
Nothing happen, can't see hotspot connection, but error messages in journal log:

Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4457] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4500] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4510] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4524] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4534] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4547] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4560] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4570] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4579] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4592] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4602] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4616] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost NetworkManager[1011]: <info>  [1484754430.4627] audit: op="connection-add-activate" pid=2985 uid=1001 result="fail" reason="A 'wireless' setting with a valid SSID is required if no AP path was given."
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.
Jan 18 23:47:10 localhost gnome-control-c[2985]: Failed to add new connection: (2) A 'wireless' setting with a valid SSID is required if no AP path was given.

Expected results:
Wi-Fi hotspot can be setup successfully.

Additional info:

1. No ifcfg-Hotspot file created under /etc/sysconfig/network-scripts/
2. No Hotspot file created under /etc/NetworkManager/system-connections
3. There is other people reported the same error as mine at http://unix.stackexchange.com/questions/320798/failed-to-add-new-connection-2-a-wireless-setting-with-a-valid-ssid-is-requ

I also tried the suggestions from comments under that question, changed hostname, no luck.

Comment 1 Thomas Haller 2017-02-22 12:25:47 UTC
one would think this is already fixed by:

https://git.gnome.org/browse/gnome-control-center/commit/?id=e8248689762593c3efd03da239303f1aceb1f81a

but this commit is part of current F25... so, something else is still wrong.

Comment 2 Thomas Haller 2017-02-22 12:42:37 UTC
Oh, https://git.gnome.org/browse/gnome-control-center/commit/?id=e8248689762593c3efd03da239303f1aceb1f81a is totally unrelated.

Anyway, it's a control-center bug.

Comment 3 Daniele Viganò 2017-04-04 04:47:45 UTC
Same here, still broken on control-center-1:3.22.2-1.fc25

Comment 4 Daniele Viganò 2017-04-04 04:57:49 UTC
Same here, still broken on control-center-1:3.22.2-1.fc25.

In my setup the "Hotspot" connection already exists (the hotspot feature was working before) and I can activate and use it via 'nmcli'

nmcli c up Hotspot

After this the control center is reporting the Hotspot as active

Comment 5 Fedora End Of Life 2017-11-16 19:21:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:52:05 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.